# Docker Compose file for FreeCodeCamp
#
# Bootstrap with:
#   docker-compose run --rm freecodecamp npm install
#   docker-compose run --rm freecodecamp npm run only-once
#
# Run with:
#   docker-compose up
#
version: "3"
services:
    freecodecamp:
        image: node:8.10
        depends_on:
            - db
            - mailhog
        environment:
            - MAILHOG_HOST=mailhog
            - MONGOHQ_URL=mongodb://db:27017/freecodecamp
        volumes:
            - ./api-server:/app
        working_dir: /app
        command:
            - npm
            - run
            - develop
        ports:
            - "3000:3000"
    db:
        image: mongo:3.6
        ports:
            - "27017:27017"
    mailhog:
        image: mailhog/mailhog
        ports:
            - "1025:1025"
            - "8025:8025"
